#pragma once

#include <QDialog>
#include "GraphView.h"
#include "ui_GraphViewSettingDialog.h"



class GraphViewSettingDialog : public QDialog
{
	Q_OBJECT

public:
	GraphView* view;
	std::vector<GraphSeries>* graphVec;
public:
	GraphViewSettingDialog(GraphView* view, QString title , QWidget *parent = Q_NULLPTR);
	~GraphViewSettingDialog();
public slots:
	void openDialog();
private:
	int vecsize = 0;
	Ui::GraphViewSettingDialog ui;
	QVBoxLayout* layout;
};
